curl --request GET \
--url http://10.2.4.166:8080/composer/api/visuals/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/visuals/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/visuals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/visuals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/visuals/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/visuals/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/visuals/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"visualName": "<string>",
"source": {
"filters": [
{
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
],
"aggregateFilters": [
{
"operation": "LT",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"name": "<string>",
"function": "avg"
}
],
"sourceId": "<string>",
"variables": {},
"accountId": "<string>",
"sourceName": "<string>",
"playbackMode": true,
"live": true,
"textSearchEnabled": true
},
"id": "<string>",
"visId": "<string>",
"visualTypeId": "<string>",
"accountId": "<string>",
"description": "<string>",
"type": "<string>",
"controlsCfg": {
"id": "<string>",
"timeControlCfg": {
"from": "<string>",
"to": "<string>",
"timeField": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
}
},
"interactivityProfile": {},
"tags": [
"<string>"
],
"creatingUserName": "<string>",
"level": "TOP",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}{
"visualName": "<string>",
"source": {
"filters": [
{
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
],
"aggregateFilters": [
{
"operation": "LT",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"name": "<string>",
"function": "avg"
}
],
"sourceId": "<string>",
"variables": {},
"accountId": "<string>",
"sourceName": "<string>",
"playbackMode": true,
"live": true,
"textSearchEnabled": true
},
"id": "<string>",
"visId": "<string>",
"visualTypeId": "<string>",
"accountId": "<string>",
"description": "<string>",
"type": "<string>",
"controlsCfg": {
"id": "<string>",
"timeControlCfg": {
"from": "<string>",
"to": "<string>",
"timeField": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
}
},
"interactivityProfile": {},
"tags": [
"<string>"
],
"creatingUserName": "<string>",
"level": "TOP",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}{
"visualName": "<string>",
"source": {
"filters": [
{
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
],
"aggregateFilters": [
{
"operation": "LT",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"name": "<string>",
"function": "avg"
}
],
"sourceId": "<string>",
"variables": {},
"accountId": "<string>",
"sourceName": "<string>",
"playbackMode": true,
"live": true,
"textSearchEnabled": true
},
"id": "<string>",
"visId": "<string>",
"visualTypeId": "<string>",
"accountId": "<string>",
"description": "<string>",
"type": "<string>",
"controlsCfg": {
"id": "<string>",
"timeControlCfg": {
"from": "<string>",
"to": "<string>",
"timeField": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
}
},
"interactivityProfile": {},
"tags": [
"<string>"
],
"creatingUserName": "<string>",
"level": "TOP",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}{
"visualName": "<string>",
"source": {
"filters": [
{
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
],
"aggregateFilters": [
{
"operation": "LT",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"name": "<string>",
"function": "avg"
}
],
"sourceId": "<string>",
"variables": {},
"accountId": "<string>",
"sourceName": "<string>",
"playbackMode": true,
"live": true,
"textSearchEnabled": true
},
"id": "<string>",
"visId": "<string>",
"visualTypeId": "<string>",
"accountId": "<string>",
"description": "<string>",
"type": "<string>",
"controlsCfg": {
"id": "<string>",
"timeControlCfg": {
"from": "<string>",
"to": "<string>",
"timeField": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
}
},
"interactivityProfile": {},
"tags": [
"<string>"
],
"creatingUserName": "<string>",
"level": "TOP",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}Retrieve a visual (requires READ permission to the visual)
Returns a visual specified by id
curl --request GET \
--url http://10.2.4.166:8080/composer/api/visuals/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/visuals/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/visuals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/visuals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/visuals/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/visuals/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/visuals/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"visualName": "<string>",
"source": {
"filters": [
{
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
],
"aggregateFilters": [
{
"operation": "LT",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"name": "<string>",
"function": "avg"
}
],
"sourceId": "<string>",
"variables": {},
"accountId": "<string>",
"sourceName": "<string>",
"playbackMode": true,
"live": true,
"textSearchEnabled": true
},
"id": "<string>",
"visId": "<string>",
"visualTypeId": "<string>",
"accountId": "<string>",
"description": "<string>",
"type": "<string>",
"controlsCfg": {
"id": "<string>",
"timeControlCfg": {
"from": "<string>",
"to": "<string>",
"timeField": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
}
},
"interactivityProfile": {},
"tags": [
"<string>"
],
"creatingUserName": "<string>",
"level": "TOP",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}{
"visualName": "<string>",
"source": {
"filters": [
{
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
],
"aggregateFilters": [
{
"operation": "LT",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"name": "<string>",
"function": "avg"
}
],
"sourceId": "<string>",
"variables": {},
"accountId": "<string>",
"sourceName": "<string>",
"playbackMode": true,
"live": true,
"textSearchEnabled": true
},
"id": "<string>",
"visId": "<string>",
"visualTypeId": "<string>",
"accountId": "<string>",
"description": "<string>",
"type": "<string>",
"controlsCfg": {
"id": "<string>",
"timeControlCfg": {
"from": "<string>",
"to": "<string>",
"timeField": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
}
},
"interactivityProfile": {},
"tags": [
"<string>"
],
"creatingUserName": "<string>",
"level": "TOP",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}{
"visualName": "<string>",
"source": {
"filters": [
{
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
],
"aggregateFilters": [
{
"operation": "LT",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"name": "<string>",
"function": "avg"
}
],
"sourceId": "<string>",
"variables": {},
"accountId": "<string>",
"sourceName": "<string>",
"playbackMode": true,
"live": true,
"textSearchEnabled": true
},
"id": "<string>",
"visId": "<string>",
"visualTypeId": "<string>",
"accountId": "<string>",
"description": "<string>",
"type": "<string>",
"controlsCfg": {
"id": "<string>",
"timeControlCfg": {
"from": "<string>",
"to": "<string>",
"timeField": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
}
},
"interactivityProfile": {},
"tags": [
"<string>"
],
"creatingUserName": "<string>",
"level": "TOP",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}{
"visualName": "<string>",
"source": {
"filters": [
{
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
],
"aggregateFilters": [
{
"operation": "LT",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"name": "<string>",
"function": "avg"
}
],
"sourceId": "<string>",
"variables": {},
"accountId": "<string>",
"sourceName": "<string>",
"playbackMode": true,
"live": true,
"textSearchEnabled": true
},
"id": "<string>",
"visId": "<string>",
"visualTypeId": "<string>",
"accountId": "<string>",
"description": "<string>",
"type": "<string>",
"controlsCfg": {
"id": "<string>",
"timeControlCfg": {
"from": "<string>",
"to": "<string>",
"timeField": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
}
},
"interactivityProfile": {},
"tags": [
"<string>"
],
"creatingUserName": "<string>",
"level": "TOP",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"originId": "<string>",
"projectId": 2222,
"folderId": 1111
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Defines a visual identifier
Response
The visual was retrieved successfully
Defines a visual payload
Defines a visual name
1 - 255Defines source details
Show child attributes
Show child attributes
Defines a visual identifier
(deprecated since 7.10, to be removed in 8.x. Use 'visualTypeId' instead) Defines a visual type identifier
Defines a visual type identifier
Defines an account identifier
Defines a description
750Defines a visual type
Defines a controls configuration
Show child attributes
Show child attributes
Defines an interactivity profile setting
Show child attributes
Show child attributes
Defines tags
Defines a creator of the visual
Defines a type of visual usage level
TOP, IN_DASHBOARD Defines a visual creator's identifier
Defines an identifier of the user who has modified the visual last
Defines a date of creation of the visual
Defines a date of the last modification of the visual
Id of the exported visual
Project ID where this visual is organized. This field is read-only and only.
2222
Optional folder ID for organizing the visual within a project.
1111
Was this page helpful?